Subject: RE: How do I UNMOUNT '/' mount point?
From: Earnie Boyd <[email-masked]>
To: Prakash Dhavali <[email-masked]>, "[email-masked]'" <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>
Date: Tue, 16 Nov 1999 14:18:14 -0800 (PST)

What exactly are you trying to do?  Is it something like you have a C:\root
directory that you want the / to point to?  That is possible.  Just do:

cd <dir/to/bin> && ./umount / && ./mount 'c:\root' /

If you want something different then you have the source to change it to suit
your needs.

Earnie.

--- Prakash Dhavali <[email-masked]> wrote:
> 
> Thanks for your responses, but here are my comments on the CygWin
> implementation.
> 
> I think users SHOULD be able to install the cygwin as a TOOLKIT and NOT
> as a UNIX OS wrapper around win32. I think that some of the users like me
> may want CygWin Toolkit with standalone unix utilities and applications.
> I know CygWin is sold as a UNIX/LINUX environment to customers, but I
> would have appreciated if there was a CygWin Toolkit(maybe similar to
> MKS toolkit) as well.
> 
> Hard mounting C:/ to / is a deviation from default NT behaviour. I think 
> ALL the cygwin tools and utilities must have recognised some environment 
> variables(e.g CYGWIN_ROOT_DIR) to mean $CYGWIN_ROOT_DIR as the root and 
> not C:/. In my case this deviation breaks my application(s). You may ask
> why I bought CygWin in the first place., I just wanted the Unix Utilities
> in my NT environment.
> 
> What do other users on this list feel about the above topic?
> 
> Thanks again
> Prakash Dhavali
> 
> -----Original Message-----
> From: Chris Faylor [mailto:[email-masked]]
> Sent: Tuesday, November 16, 1999 6:51 AM
> To: Prakash Dhavali
> Cc: [email-masked]'
> Subject: Re: How do I UNMOUNT '/' mount point?
> 
> 
> On Tue, Nov 16, 1999 at 02:05:33AM -0800, Prakash Dhavali wrote:
> >Hi Cygwin users,
> >
> >I DO NOT want cygwin to mount anything on my NT workstation as /.
> >Currently when I run mount, it shows me following mount which I just AM
> >NOT ABLE TO REMOVE IT ( I want to use '/' to refer to the current
> >driver letter inside some of my applications)
> 
> A couple of people have replied to this, showing how you can umount /,
> but I wanted to point out that what you want to do isn't possible.
> There is no way to permanently umount / as cygwin always creates a
> root partition if one is not found in the mount table.
> 
> There is also no way to have cygwin default to the current drive when
> referencing /.  It will always default to a specific directory on
> a specific drive, just like UNIX.
> 
> cgf
> 
> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]
> 
> 

__________________________________________________
Do You Yahoo!?
Bid and sell for free at http://auctions.yahoo.com

--
Want to unsubscribe from this list?
Send a message to [email-masked]